import { Host } from './Host';
import { Service } from './Service';
import { MetaPortType } from '../meta';

export interface Port {
  metaPortType?: MetaPortType;
  portNumber?: number;
  meta?: Map<string, string>;

  host?: Host;
  serviceList?: Service[];

  discoveredBy?: string;
  discoveredDate?: Date;
}
