export interface MetaEmailType {
  id?: number;
  name?: string;
  key?: string;
  createDate?: Date;
}

export enum MetaEmailTypeEnum {
  SIGNUP = 'SIGNUP',
  RESET_PASSWORD = 'RESET_PASSWORD',
}

export const toMetaEmailTypeEnum = (v: MetaEmailType): MetaEmailTypeEnum => {
  return MetaEmailTypeEnum[v.key];
};

export const toMetaEmailType = (v: MetaEmailTypeEnum): MetaEmailType => {
  return {
    key: v,
  };
};
